import request from "@/utils/request";

/**
 * 获取表信息
 * @returns {AxiosPromise}
 */
export function getTableInfos() {
  return request({
    url: '/ass/tableinfos',
    method: 'get'
  })
}

/**
 * 获取关联表表的字段信息
 * @param tableName 关联表表名
 * @param tableId 关联表id
 * @returns {AxiosPromise}
 */
export function getAssColumns(tableName,tableId){
  return request({
    url: '/ass/'+tableName+'/'+tableId,
    method: 'get'
  })
}

export function getAssColumnsByTableId(tableId){
  return request({
    url:'/ass/'+tableId,
    method: 'get'
  })
}
